<template>
	<SignIn
		v-if="!isActive"
		:isActive="isActive"
		@toggleSignIn="togglePage"
		:adminInfo="getAdminDetails"
		@enter="setLoginToPage"
	/>
	<FogotPassword v-else @toggleFogotPass="togglePage" :adminDetails="getAdminDetails" />
</template>

<script lang="ts">
import SignIn from '@/views/sign-in/components/SignIn.vue'
import FogotPassword from '@/views/sign-in/components/FogotPassword.vue'
import { mapGetters } from 'vuex'

export default {
	name: 'SignInPage',
	components: {
		SignIn,
		FogotPassword,
	},
	data() {
		return {
			isActive: false,
		}
	},
	computed: {
		...mapGetters(['getAdminDetails']),
	},
	methods: {
		togglePage() {
			this.isActive = !this.isActive
		},
		setLoginToPage() {
			this.$router.push('/profile')
		}
	},
}
</script>
